import axios from "../../http";

// 拿到牧场
export function getEarFarmList(data) {
  return axios({
    url: 'eartag/baseFarmInfo/listByType',
    method: 'get',
    params: data
  })
}
//
export function getEarTagList (data) {
  return axios({
    url: 'anquisition/manager/eartagdata/listIndex',
    method: 'post',
    data: data
  })
}

/** 根据牧场id拿到栋舍 **/
export function listFarmPigpen(data) {
  return axios({
    url: 'anquisition/management/basepigpen/listFarmPigPen',
    method: 'post',
    data: data
  })
}

/**  根据栋舍id拿到单元 **/
export function listFarmUnit(data) {
  return axios({
    url: 'anquisition/management/basepigpen/listFarmUnit',
    method: 'post',
    data: data
  })
}

/** 根据单元id拿到耳标 **/
export function listFarmUnitEartagData(data) {
  return axios({
    url: 'anquisition/management/basepigpen/listFarmUnitEartagData',
    method: 'post',
    data: data
  })
}

// 拿到所有东西
export function getPigCount(data) {
  return axios({
    url: 'eartag/bizSellPigApply/getPigCount',
    method: 'post',
    data: data
  })
}
